Name:           catcodec
Version:        1.0.3
Release:        %mkrel 1
Summary:        Sample catalog decoder and encoder for OpenTTD
Group:          Development/Other
License:        GPLv2+
URL:            http://www.openttd.org/en/download-catcodec
Source0:        http://binaries.openttd.org/extra/%{name}/%{version}/%{name}-%{version}-source.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
catcodec decodes and encodes sample catalogs for OpenTTD. These sample
catalogs are not much more than some meta-data (description and file name)
and raw PCM data.

%prep
%setup -q

%build
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}

%makeinstall

# binary
#install -D -m 755 catcodec %{buildroot}%{_bindir}/catcodec

# man page
#install -D -m 755 catcodec.1 %{buildroot}%{_mandir}/man1/catcodec.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/readme.txt COPYING changelog.txt
%{_bindir}/*
%{_mandir}/man1/%{name}*


%changelog
* Mon Apr 07 2012 Neal <nealbrks0 at gmail dot com> 1.0.3-1pclos2012
- process

* Mon Apr 07 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0.3-1pclos2012
- 1.0.3
- added %makeinstall / commented old install
- refreshed %doc

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 1.0.0-1pclos2010
- import catcodec


